#!/bin/bash

a=23              # Cas simple
echo $a
b=$a
echo $b

# Maintenant, allons un peu plus loin (substitution de commande).

a=`echo Hello!`   # Affecte le résultat de la commande 'echo' à 'a'
echo $a
#  Remarque : inclure un point d'exclamation à l'intérieur d'une substitution de
#+ commandes ne fonctionnera pas à partir de la ligne de commande,
#+ car ceci déclenche le mécanisme d'historique de Bash.
#  Néanmoins, à l'intérieur d'un script, les fonctions d'historique sont
#+ désactivées.

a=`ls -l`         #  Affecte le résultat de la commande 'ls -l' à 'a'
echo $a           #  Sans guillemets, supprime les tabulations et 
                  #+ retours chariots.
echo
echo "$a"         # La variable entre guillemets préserve les blancs
                  # (voir le chapitre sur les "Guillemets").

exit 0
